Subject: Re: bug#28596: 26.0.60; [Gnus] Checking mail is no longer reliable and C-g no longer quits

From: Noam Postavsky <[email-masked]>
Date: Mon, 25 Sep 2017 13:14:43 -0400

On Mon, Sep 25, 2017 at 11:01 AM, N. Jackson <[email-masked]> wrote:
> Yesterday I switched from Emacs 25 to the emacs-26 branch. With
> this Gnus hangs (sometimes) when checking mail/news
> (`gnus-group-get-new-news') and then C-g no longer quits -- at
> least not immediately.

Does 'pkill -SIGUSR2 emacs' help? Otherwise running under gdb and
hitting C-z at the gdb terminal should give some more info.

(elisp) Error Debugging

-- User Option: debug-on-event
     If you set ‘debug-on-event’ to a special event (*note Special
     Events::), Emacs will try to enter the debugger as soon as it
     receives this event, bypassing ‘special-event-map’.  At present,
     the only supported values correspond to the signals ‘SIGUSR1’ and
     ‘SIGUSR2’ (this is the default).  This can be helpful when
     ‘inhibit-quit’ is set and Emacs is not otherwise responding.